<id>
Quick Reply box for YaBB2
</id>

<version>
0.5e for YaBB2 Final
</version>

<mod info>
Based on the Quick Reply Box 1.3 by BHRA Webmaster, Krikkert, Colicab

CHANGELOG
0.5e:
- No Quick Reply in locked topics
0.5d:
- Fixed Preview
0.5c:
- Disabled in Global Announcements.
0.5b:
- Fixed Post Box not showing when disabling Reply Box. 
0.5:
- Added an optional attachment box.
- Adapted to the new sticky/closed option in YaBB2 Final.
- Added a hand cursor when you hover the buttons :P
- Fixed a bug with smilies.
- Guests can now use it (if guest posting enabled).
- Enable smilies and enable YaBBc buttons, are now two separate options.
- Added preview button.
0.4:
- Mod is now YaBB2-rules compliant
- Changed quickreply.lng with QuickReply.lng
0.3:
- Added the 4 new RC3 Build 071805 buttons
- Changed some javascript, too look like Post.pl
0.2:
- Language changes, in a separate lng file.

HOW TO INSTALL
- Install this mod with Boardmod.
- Upload QuickReply.pl in the Admin folder.
- Upload QuickReply.lng in the Languages folder.
- Go to the Admin Panel, and enable the Quick Reply Box.
</mod info>

<author>
Gabriel Finkelstein & BHRA Webmaster, Krikkert, Colicab
</author>


###############################################################################

<edit file>
YaBB.pl
</edit file>

<search for>
require "$vardir/Smilies.txt";
</search for>

<add after>
if (-e("$vardir/QuickReply.txt"))  {
	require "$vardir/QuickReply.txt";
}
</add after>

###############################################################################

<edit file>
AdminIndex.pl
</edit file>

<search for>
### BOARDMOD ANCHOR ###
</search for>

<add after>

	$quickreply = "quickreply|Quick Reply Box|Quick Reply Box|";
	push (@boardmod_mods, "$quickreply");
</add after>

###############################################################################

<edit file>
Admin/ModList.pl
</edit file>

<search for>
sub ListMods {
</search for>

<add before>
LoadLanguage("QuickReply");
</add before>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
 	$quickreply = "Quick_Reply_Box|Gabriel Finkelstein & BHRA Webmaster, Krikkert, Colicab|$qrb_txt{'9'}|0.5e|November 14th, 2005";
	push (@installed_mods, "$quickreply");
</add before>

###############################################################################

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'quickreply',"QuickReply.pl&QuickReplySet",
'quickreply2',"QuickReply.pl&QuickReplySet2",
</add after>

###############################################################################

<edit file>
Sources/Display.pl
</edit file>

<search for>
LoadLanguage("Display");
</search for>

<add before>
LoadLanguage("QuickReply");
</add before>

<search for>
	$yytitle = $msubthread;
</search for>

<add before>
### Quick Reply Box ###
#$scripturl?action=register;title=$display_txt{'116'}"
	# MBCO2 Reply access check
	if ($reply_users{$currentboard} || $reply_groups{$currentboard}) {
		my $access = &AccessCheck($currentboard, 2) || "";
		if ($access eq "denied") {$enable_quickreply = 0;}
	}
	if ($enable_guestposting == 0 && $iamguest){
	$enable_quickreply = 0;
	}

	if ($annboard eq $currentboard && !$iamadmin && !$iamgmod) {
	$enable_quickreply = 0;
	} elsif (&AccessCheck($currentboard, 2) ne "granted") {
	$enable_quickreply = 0;
	} elsif ($mstate =~ /l/) {
	$enable_quickreply = 0;
	}

	if ($enable_quickreply == 1) {
		$thestatus = $mstate;
		if ($thestatus =~ /s/) { $stselect = qq~<input type="hidden" name="topicstatus" value="s">~; }
		if ($thestatus =~ /l/) { $lcselect = qq~<input type="hidden" name="topicstatus" value="l">~; }
		if ($thestatus =~ /h/) { $hdselect = qq~<input type="hidden" name="topicstatus" value="h">~; }

#	if ($username ne "Guest" && $mstate != 1 && $enable_quickreply == 1) {
$yymain .= qq~
<form action="$scripturl?board=$currentboard;action=post2" method="post" name="postmodify" enctype="multipart/form-data" onsubmit="if(!checkForm(this)) {return false} else {return submitproc()}">
$stselect
$lcselect
$hdselect
<input type="hidden" name="threadid" value="$viewnum">
<input type="hidden" name="icon" value="xx">
<table border=0 width="80%" cellspacing="1" cellpadding="4" bgcolor="$color{'bordercolor'}" class="bordercolor" align="center">
  <tr>
    <td align="center" class="titlebg" bgcolor="$color{'titlebg'}"><font size="2" class="text1" color="$color{'titletext'}"><b>$qrb_txt{'2'}</b></font></td>
  </tr>
  <tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}">
      <table width="100%" cellpadding="4" cellspacing="0">
        <tr>
          <td valign="top" width="23%"><font size="2"><b>$post_txt{'70'}:</b></font></td>
          <td><font size="2"><input type="text" name="subject" value="Re: $msubthread" size="40" style="width:100%"></td>
        </tr>~;
        





		if ($enable_quicksmilies == 1) {
			if ($smiliestyle eq 1){$smiliewinlink = "$scripturl?action=smilieput";} else { $smiliewinlink = "$scripturl?action=smilieindex";}
			$moresmilieslist = ""; 
			$more_smilie_array = ""; 
			$i=0; 
			if ($showadded eq 1){ # show added smilies on smiley bar
				while($SmilieURL[$i]) { 
					if ($SmilieURL[$i]=~ /\//i) {$tmpurl = $SmilieURL[$i];} else {$tmpurl = qq~$defaultimagesdir/$SmilieURL[$i]~;}
					$moresmilieslist .= qq~      document.write("<img src='$tmpurl' align='bottom' alt='$SmilieDescription[$i]' border='0' onclick='javascript:MoreSmilies($i)' style='cursor:hand'>$SmilieLinebreak[$i] ");\n~; 
					$tmpcode = $SmilieCode[$i];
					$tmpcode =~ s/\&quot;/"+'"'+"/g;
					&FromHTML($tmpcode);
					$tmpcode =~ s/&#36;/\$/g;
					$tmpcode =~ s/&#64;/\@/g;
					$more_smilie_array .= qq~" $tmpcode", ~; 
					$i++; 
				} 
			}
			if ($showsmdir eq 1){ # show auto smilies on smiley bar
				opendir(DIR, "$smiliesdir"); 
				@contents = readdir(DIR); 
				closedir(DIR); 
				foreach $line (sort {uc($a) cmp uc($b)} @contents){ 
					($name, $extension) = split (/\./, $line); 
					if ($extension =~ /gif/i || $extension =~ /jpg/i || $extension =~ /jpeg/i || $extension =~ /png/i ){ 
						if ($line !~ /banner/i) { 
							$moresmilieslist .= qq~      document.write("<img src='$smiliesurl/$line' align='bottom' alt='$name' border='0' onclick='javascript:MoreSmilies($i)' style='cursor:hand'> ");\n~; 
							$more_smilie_array .= qq~" [smiley=$line]", ~; 
							$i++ 
						} 
					} 
				} 
			}
			$more_smilie_array .= qq~""~; 
			}
			if ($enable_quickyabbc == 1) {
			$yymain .= qq~
			<tr><td valign="top" width="23%">&nbsp;</td>
			<td><table><tr><td>
			<script language="JavaScript1.2" type="text/javascript">
          HAND = "style='cursor: pointer; cursor: hand;'";
          document.write("<img src='$defaultimagesdir/url.gif' onclick='hyperlink();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'257'}' title='$post_txt{'257'}' border='0'>");
          document.write("<img src='$defaultimagesdir/ftp.gif' onclick='ftp();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'434'}' title='$post_txt{'434'}' border='0'>");
          document.write("<img src='$defaultimagesdir/img.gif' onclick='image();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'435'}' title='$post_txt{'435'}' border='0'>");
          document.write("<img src='$defaultimagesdir/email2.gif' onclick='emai1();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'258'}' title='$post_txt{'258'}' border='0'>");
          document.write("<img src='$defaultimagesdir/flash.gif' onclick='flash();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'433'}' title='$post_txt{'433'}' border='0'>");
          document.write("<img src='$defaultimagesdir/table.gif' onclick='table();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'436'}' title='$post_txt{'436'}' border='0'>");
          document.write("<img src='$defaultimagesdir/tr.gif' onclick='trow();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'449'}' title='$post_txt{'449'}' border='0'>");
          document.write("<img src='$defaultimagesdir/td.gif' onclick='tcol();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'437'}' title='$post_txt{'437'}' border='0'>");
          document.write("<img src='$defaultimagesdir/hr.gif' onclick='hr();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'531'}' title='$post_txt{'531'}' border='0'>");
          document.write("<img src='$defaultimagesdir/tele.gif' onclick='teletype();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'440'}' title='$post_txt{'440'}' border='0'>");
          document.write("<img src='$defaultimagesdir/code.gif' onclick='showcode();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'259'}' title='$post_txt{'259'}' border='0'>");
          document.write("<img src='$defaultimagesdir/quote2.gif' onclick='quote();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'260'}' title='$post_txt{'260'}' border='0'>");
          document.write("<img src='$defaultimagesdir/edit.gif' onclick='edit();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'603'}' title='$post_txt{'603'}' border='0'>");
          document.write("<img src='$defaultimagesdir/sup.gif' onclick='superscript();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'447'}' title='$post_txt{'447'}' border='0'>");
          document.write("<img src='$defaultimagesdir/sub.gif' onclick='subscript();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'448'}' title='$post_txt{'448'}' border='0'>");
          document.write("<img src='$defaultimagesdir/move.gif' onclick='move();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'439'}' title='$post_txt{'439'}' border='0'></b>");
          document.write("<img src='$defaultimagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align=top width=23 height=22 alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0'><br />");
          document.write("<img src='$defaultimagesdir/bold.gif' onclick='bold();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'253'}' title='$post_txt{'253'}' border=0>");
          document.write("<img src='$defaultimagesdir/italicize.gif' onclick='italicize();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'254'}' title='$post_txt{'254'}' border='0'>");
          document.write("<img src='$defaultimagesdir/underline.gif' onclick='underline();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'255'}' title='$post_txt{'255'}' border='0'>");
          document.write("<img src='$defaultimagesdir/strike.gif' onclick='strike();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'441'}' title='$post_txt{'441'}' border='0'>");
          document.write("<img src='$defaultimagesdir/highlight.gif' onclick='highlight();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'246'}' title='$post_txt{'246'}' border='0'></b>");
          document.write('<select name="fontface" id="fontface" onchange="if(this.options[this.selectedIndex].value) fontfce(this.options[this.selectedIndex].value);" style="width: 93px; margin-top: 2px; margin-left: 2px; margin-right: 1px; font-size: 9px;">');
          document.write('<option value="">Verdana</option>');
          document.write('<option value="">\\-\\-\\-\\-\\-</option>');
          document.write('<option value="Sans-Serif" style="font-family: Sans-Serif">Sans-Serif</option>');
          document.write('<option value="Verdana" style="font-family: Verdana" selected="selected">Verdana</option>');
          document.write('<option value="Arial" style="font-family: Arial">Arial</option>');
          document.write('<option value="Serif" style="font-family: Serif">Serif</option>');
          document.write('<option value="Courier" style="font-family: Courier">Courier</option>');
          document.write('<option value="Courier New" style="font-family: Courier New">Courier New</option>');
          document.write('<option value="Fantasy" style="font-family: Fantasy">Fantasy</option>');
          document.write('<option value="monospace" style="font-family: monospace">Monospace</option>');
          document.write('</select>');
          document.write('<select name="fontsize" id="fontsize" onchange="if(this.options[this.selectedIndex].value) fntsize(this.options[this.selectedIndex].value);" style="width: 39px; margin-top: 2px; margin-left: 1px; margin-right: 2px; font-size: 9px;">');
          document.write('<option value="">11</option>');
          document.write('<option value="">\\-\\-</option>');
          document.write('<option value="6">6</option>');
          document.write('<option value="7">7</option>');
          document.write('<option value="8">8</option>');
          document.write('<option value="9">9</option>');
          document.write('<option value="10">10</option>');
          document.write('<option value="11" selected="selected">11</option>');
          document.write('<option value="12">12</option>');
          document.write('<option value="14">14</option>');
          document.write('<option value="16">16</option>');
          document.write('<option value="18">18</option>');
          document.write('<option value="20">20</option>');
          document.write('<option value="22">22</option>');
          document.write('<option value="24">24</option>');
          document.write('<option value="36">36</option>');
          document.write('<option value="48">48</option>');
          document.write('<option value="56">56</option>');
          document.write('<option value="72">72</option>');
          document.write('</select>');
          document.write("<img src='$defaultimagesdir/pre.gif' onclick='pre();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'444'}' title='$post_txt{'444'}' border='0'>");
          document.write("<img src='$defaultimagesdir/left.gif' onclick='left();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'445'}' title='$post_txt{'445'}' border='0'>");
          document.write("<img src='$defaultimagesdir/center.gif' onclick='center();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'256'}' title='$post_txt{'256'}' border='0'>");
          document.write("<img src='$defaultimagesdir/right.gif' onclick='right();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'446'}' title='$post_txt{'446'}' border='0'>");
          document.write("<img src='$defaultimagesdir/list.gif' onclick='list();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'261'}' title='$post_txt{'261'}' border='0'>");
          document.write("<img src='$defaultimagesdir/me.gif' onclick='me();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'604'}' title='$post_txt{'604'}' border='0'>");
          document.write("</td><td>");

          		img1 = new Image();
          		img1.src = "$defaultimagesdir/palette.gif";
             	         </script>
             	         
        <div style="height: 42px; width: 86px; overflow: auto; border: 1px; border-style: outset; float: right;">
        ~;
        for($z=0; $z<256; $z+=51) {
          $c3 = sprintf ("%02x", $z);
          for($y=0; $y<256; $y+=51) {
            $c2 = sprintf ("%02x", $y);
            for($x=0; $x<256; $x+=51) {
              $c1 = sprintf ("%02x", $x);
              $selcolor = qq~#$c1$c2$c3~;
if($ENV{'HTTP_USER_AGENT'} =~ /Safari/) {$yymain .= qq~<span style="background-color: $selcolor; width: 11px; height: 11px;"><img src="$defaultimagesdir/palette.gif" border="0" hspace="0" vspace="0" alt="" style="height: 11px; width: 11px; margin: 0px;" onclick="showcolor('$selcolor')" /></span>~;}
else {$yymain .= qq~<span style="float: left; background-color: $selcolor; width: 9px; height: 9px; border: 1px outset; font-size: 5px;" onclick="showcolor('$selcolor')">&nbsp;</span>~;}
            }
if($ENV{'HTTP_USER_AGENT'} =~ /Safari/) {$yymain .= qq~<br />~;}
          }
        }
        $yymain .= qq~
        </div>
        </td></tr></table>
        
          </td>
        </tr>
        ~;
    	}
	if ($enable_quicksmilies == 1) {
        $yymain .= qq~
        <tr>
          <td valign="top" width="23%"><font size="2"><b>$post_txt{'297'}:</b></font></td>
          <td valign="middle">
          <script language="JavaScript1.2" type="text/javascript">
          <!--
            moresmiliecode = new Array($more_smilie_array) 

            function MoreSmilies(i) { 
              AddTxt=moresmiliecode[i]; 
              AddText(AddTxt); 
            }

            function smiliewin() {
              window.open("$smiliewinlink", 'list', 'width=$winwidth,height=$winheight, scrollbars=yes');
            }
  	  HAND = "style='cursor: pointer; cursor: hand;'";  
            if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4)) {
          document.write("<img src='$defaultimagesdir/smiley.gif' onclick='smiley();' "+HAND+" align=bottom alt='$post_txt{'287'}' title='$post_txt{'287'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/wink.gif' onclick='wink();' "+HAND+" align=bottom alt='$post_txt{'292'}' title='$post_txt{'292'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/cheesy.gif' onclick='cheesy();' "+HAND+" align=bottom alt='$post_txt{'289'}' title='$post_txt{'289'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/grin.gif' onclick='grin();' "+HAND+" align=bottom alt='$post_txt{'293'}' title='$post_txt{'293'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/angry.gif' onclick='angry();' "+HAND+" align=bottom alt='$post_txt{'288'}' title='$post_txt{'288'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/sad.gif' onclick='sad();' "+HAND+" align=bottom alt='$post_txt{'291'}' title='$post_txt{'291'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/shocked.gif' onclick='shocked();' "+HAND+" align=bottom alt='$post_txt{'294'}' title='$post_txt{'294'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/cool.gif' onclick='cool();' "+HAND+" align=bottom alt='$post_txt{'295'}' title='$post_txt{'295'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/huh.gif' onclick='huh();' "+HAND+" align=bottom alt='$post_txt{'296'}' title='$post_txt{'296'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/rolleyes.gif' onclick='rolleyes();' "+HAND+" align=bottom alt='$post_txt{'450'}' title='$post_txt{'450'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/tongue.gif' onclick='tongue();' "+HAND+" align=bottom alt='$post_txt{'451'}' title='$post_txt{'451'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/embarassed.gif' onclick='embarassed();' "+HAND+" align=bottom alt='$post_txt{'526'}' title='$post_txt{'526'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/lipsrsealed.gif' onclick='lipsrsealed();' "+HAND+" align=bottom alt='$post_txt{'527'}' title='$post_txt{'527'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/undecided.gif' onclick='undecided();' "+HAND+" align=bottom alt='$post_txt{'528'}' title='$post_txt{'528'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/kiss.gif' onclick='kiss();' "+HAND+" align=bottom alt='$post_txt{'529'}' title='$post_txt{'529'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/cry.gif' onclick='cry();' "+HAND+" align=bottom alt='$post_txt{'530'}' title='$post_txt{'530'}' border='0'> ");
	  $moresmilieslist
      	    }

            else { document.write("<font size='1'>$txt{'215'}</font>"); }
          //-->
          </script>~;
		if ($showadded == 3 || ($showadded == 2 && $detachblock == 1) || $showsmdir == 3 || ($showsmdir == 2 && $detachblock == 1)){
			$yymain .= qq~
          <a href=javascript:smiliewin()>$smiltxt{'1'}</a>~;
		}
		$yymain .= qq~ 
          <noscript>
            <font size="1">$post_txt{'215'}</font>
          </noscript>
          </td>
        </tr>~;
		}
		$yymain .= qq~
        <tr>
          <td valign="top" width="23%"><font size="2"><b>$post_txt{'72'}:</b></font></td>
          <td><textarea name="message" rows="5" cols="60" wrap="soft" ONCLICK="javascript:storeCaret(this);" ONKEYUP="javascript:storeCaret(this);" ONCHANGE="javascript:storeCaret(this);" style="width:100%"></textarea></td>
        </tr>
~;
	# File Attachment's Browse Box Code
	if (&AccessCheck($currentboard, 4) eq "granted") {
		if ($enable_quickattach == 1 && $allowattach == 1 && ${$uid.$currentboard}{'attperms'} == 1 && $fa_ok == 1 && (($allowguestattach == 0 && !$iamguest) || $allowguestattach == 1)) {
			$yymain .= qq~
	<tr>
		<td width="23%" valign="top"><b>$qrb_txt{'11'}</b></td>
		<td width="77%"><input type="file" name="file" size="50"$selnewatt /></td>
	</tr>
	<tr>~;
		}
	}
	# /File Attachment's Browse Box Code

	$yymain .= qq~
      </table>
    </td>
  </tr>
  <tr>
    <td align="center" class="catbg" bgcolor="$color{'catbg'}"><input type="submit" name="post" value="$post_txt{'105'}" accesskey="s"> &nbsp; <input type="submit" name="preview" value="$post_txt{'507'}" accesskey="p" tabindex="6" /> &nbsp; <input type="reset" name="clear" value="$post_txt{'278'}" accesskey="r"></td>
  </tr>
</table>
</form>
~;
	}

### Quick Reply Box ###


</add before>

###############################################################################

<edit file>
Sources/MessageIndex.pl
</edit file>

<search for>
LoadLanguage("MessageIndex");
</search for>

<add before>
LoadLanguage("QuickReply");
</add before>

<search for>
	$yytitle = $boardname;
</search for>

<add before>
### Quick Reply Box ###
LoadLanguage("Post");
	# MBCO2 Post access check
	if ($start_users{$currentboard} || $start_groups{$currentboard}) {
		my $access = &AccessCheck($currentboard, 1) || "";
		if ($access eq "denied") {$enable_quickpost = 0;}
	}
	if ($enable_guestposting == 0 && $iamguest){
	$enable_quickreply = 0;
	}
	if ($enable_quickpost == 1) {
$yymain .= qq~
<script language="JavaScript1.2" src="$ubbcjspath" type="text/javascript"></script>
<form action="$scripturl?board=$currentboard;action=post2" method="post" name="postmodify" enctype="multipart/form-data" onsubmit="if(!checkForm(this)) {return false} else {return submitproc()}">
<input type="hidden" name="threadid" value="">
<input type="hidden" name="icon" value="xx">
<table border=0 width="80%" cellspacing="1" cellpadding="4" bgcolor="$color{'bordercolor'}" class="bordercolor" align="center">
  <tr>
    <td align="center" class="titlebg" bgcolor="$color{'titlebg'}"><font size="2" class="text1" color="$color{'titletext'}"><b>$qrb_txt{'1'}</b></font></td>
  </tr>
  <tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}">
      <table width="100%" cellpadding="4" cellspacing="0">
        <tr>
          <td valign="top" width="23%"><font size="2"><b>$post_txt{'70'}:</b></font></td>
          <td><font size="2"><input type="text" name="subject" value="" size="40" style="width:100%"></td>
        </tr>~;
		if ($enable_quicksmilies == 1) {
			if ($smiliestyle eq 1){$smiliewinlink = "$scripturl?action=smilieput";} else { $smiliewinlink = "$scripturl?action=smilieindex";}
			$moresmilieslist = ""; 
			$more_smilie_array = ""; 
			$i=0; 
			if ($showadded eq 1){ # show added smilies on smiley bar
				while($SmilieURL[$i]) { 
					if ($SmilieURL[$i]=~ /\//i) {$tmpurl = $SmilieURL[$i];} else {$tmpurl = qq~$defaultimagesdir/$SmilieURL[$i]~;}
					$moresmilieslist .= qq~      document.write("<img src='$tmpurl' align='bottom' alt='$SmilieDescription[$i]' border='0' onclick='javascript:MoreSmilies($i)' style='cursor:hand'>$SmilieLinebreak[$i] ");\n~; 
					$tmpcode = $SmilieCode[$i];
					$tmpcode =~ s/\&quot;/"+'"'+"/g;
					&FromHTML($tmpcode);
					$tmpcode =~ s/&#36;/\$/g;
					$tmpcode =~ s/&#64;/\@/g;
					$more_smilie_array .= qq~" $tmpcode", ~; 
					$i++; 
				} 
			}
			if ($showsmdir eq 1){ # show auto smilies on smiley bar
				opendir(DIR, "$smiliesdir"); 
				@contents = readdir(DIR); 
				closedir(DIR); 
				foreach $line (sort {uc($a) cmp uc($b)} @contents){ 
					($name, $extension) = split (/\./, $line); 
					if ($extension =~ /gif/i || $extension =~ /jpg/i || $extension =~ /jpeg/i || $extension =~ /png/i ){ 
						if ($line !~ /banner/i) { 
							$moresmilieslist .= qq~      document.write("<img src='$smiliesurl/$line' align='bottom' alt='$name' border='0' onclick='javascript:MoreSmilies($i)' style='cursor:hand'> ");\n~; 
							$more_smilie_array .= qq~" [smiley=$line]", ~; 
							$i++ 
						} 
					} 
				} 
			}
			$more_smilie_array .= qq~""~; 
			}
			if ($enable_quickyabbc == 1) {
			$yymain .= qq~
        	<tr><td valign="top" width="23%">&nbsp;</td>
			<td><table><tr><td>
			<script language="JavaScript1.2" type="text/javascript">
          HAND = "style='cursor: pointer; cursor: hand;'";
          document.write("<img src='$defaultimagesdir/url.gif' onclick='hyperlink();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'257'}' title='$post_txt{'257'}' border='0'>");
          document.write("<img src='$defaultimagesdir/ftp.gif' onclick='ftp();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'434'}' title='$post_txt{'434'}' border='0'>");
          document.write("<img src='$defaultimagesdir/img.gif' onclick='image();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'435'}' title='$post_txt{'435'}' border='0'>");
          document.write("<img src='$defaultimagesdir/email2.gif' onclick='emai1();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'258'}' title='$post_txt{'258'}' border='0'>");
          document.write("<img src='$defaultimagesdir/flash.gif' onclick='flash();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'433'}' title='$post_txt{'433'}' border='0'>");
          document.write("<img src='$defaultimagesdir/table.gif' onclick='table();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'436'}' title='$post_txt{'436'}' border='0'>");
          document.write("<img src='$defaultimagesdir/tr.gif' onclick='trow();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'449'}' title='$post_txt{'449'}' border='0'>");
          document.write("<img src='$defaultimagesdir/td.gif' onclick='tcol();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'437'}' title='$post_txt{'437'}' border='0'>");
          document.write("<img src='$defaultimagesdir/hr.gif' onclick='hr();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'531'}' title='$post_txt{'531'}' border='0'>");
          document.write("<img src='$defaultimagesdir/tele.gif' onclick='teletype();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'440'}' title='$post_txt{'440'}' border='0'>");
          document.write("<img src='$defaultimagesdir/code.gif' onclick='showcode();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'259'}' title='$post_txt{'259'}' border='0'>");
          document.write("<img src='$defaultimagesdir/quote2.gif' onclick='quote();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'260'}' title='$post_txt{'260'}' border='0'>");
          document.write("<img src='$defaultimagesdir/edit.gif' onclick='edit();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'603'}' title='$post_txt{'603'}' border='0'>");
          document.write("<img src='$defaultimagesdir/sup.gif' onclick='superscript();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'447'}' title='$post_txt{'447'}' border='0'>");
          document.write("<img src='$defaultimagesdir/sub.gif' onclick='subscript();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'448'}' title='$post_txt{'448'}' border='0'>");
          document.write("<img src='$defaultimagesdir/move.gif' onclick='move();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'439'}' title='$post_txt{'439'}' border='0'></b>");
          document.write("<img src='$defaultimagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align=top width=23 height=22 alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0'><br />");
          document.write("<img src='$defaultimagesdir/bold.gif' onclick='bold();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'253'}' title='$post_txt{'253'}' border=0>");
          document.write("<img src='$defaultimagesdir/italicize.gif' onclick='italicize();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'254'}' title='$post_txt{'254'}' border='0'>");
          document.write("<img src='$defaultimagesdir/underline.gif' onclick='underline();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'255'}' title='$post_txt{'255'}' border='0'>");
          document.write("<img src='$defaultimagesdir/strike.gif' onclick='strike();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'441'}' title='$post_txt{'441'}' border='0'>");
          document.write("<img src='$defaultimagesdir/highlight.gif' onclick='highlight();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'246'}' title='$post_txt{'246'}' border='0'></b>");
          document.write('<select name="fontface" id="fontface" onchange="if(this.options[this.selectedIndex].value) fontfce(this.options[this.selectedIndex].value);" style="width: 93px; margin-top: 2px; margin-left: 2px; margin-right: 1px; font-size: 9px;">');
          document.write('<option value="">Verdana</option>');
          document.write('<option value="">\\-\\-\\-\\-\\-</option>');
          document.write('<option value="Sans-Serif" style="font-family: Sans-Serif">Sans-Serif</option>');
          document.write('<option value="Verdana" style="font-family: Verdana" selected="selected">Verdana</option>');
          document.write('<option value="Arial" style="font-family: Arial">Arial</option>');
          document.write('<option value="Serif" style="font-family: Serif">Serif</option>');
          document.write('<option value="Courier" style="font-family: Courier">Courier</option>');
          document.write('<option value="Courier New" style="font-family: Courier New">Courier New</option>');
          document.write('<option value="Fantasy" style="font-family: Fantasy">Fantasy</option>');
          document.write('<option value="monospace" style="font-family: monospace">Monospace</option>');
          document.write('</select>');
          document.write('<select name="fontsize" id="fontsize" onchange="if(this.options[this.selectedIndex].value) fntsize(this.options[this.selectedIndex].value);" style="width: 39px; margin-top: 2px; margin-left: 1px; margin-right: 2px; font-size: 9px;">');
          document.write('<option value="">11</option>');
          document.write('<option value="">\\-\\-</option>');
          document.write('<option value="6">6</option>');
          document.write('<option value="7">7</option>');
          document.write('<option value="8">8</option>');
          document.write('<option value="9">9</option>');
          document.write('<option value="10">10</option>');
          document.write('<option value="11" selected="selected">11</option>');
          document.write('<option value="12">12</option>');
          document.write('<option value="14">14</option>');
          document.write('<option value="16">16</option>');
          document.write('<option value="18">18</option>');
          document.write('<option value="20">20</option>');
          document.write('<option value="22">22</option>');
          document.write('<option value="24">24</option>');
          document.write('<option value="36">36</option>');
          document.write('<option value="48">48</option>');
          document.write('<option value="56">56</option>');
          document.write('<option value="72">72</option>');
          document.write('</select>');
          document.write("<img src='$defaultimagesdir/pre.gif' onclick='pre();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'444'}' title='$post_txt{'444'}' border='0'>");
          document.write("<img src='$defaultimagesdir/left.gif' onclick='left();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'445'}' title='$post_txt{'445'}' border='0'>");
          document.write("<img src='$defaultimagesdir/center.gif' onclick='center();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'256'}' title='$post_txt{'256'}' border='0'>");
          document.write("<img src='$defaultimagesdir/right.gif' onclick='right();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'446'}' title='$post_txt{'446'}' border='0'>");
          document.write("<img src='$defaultimagesdir/list.gif' onclick='list();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'261'}' title='$post_txt{'261'}' border='0'>");
          document.write("<img src='$defaultimagesdir/me.gif' onclick='me();' "+HAND+" align=top width=23 height=22 alt='$post_txt{'604'}' title='$post_txt{'604'}' border='0'>");
          document.write("</td><td>");

          		img1 = new Image();
          		img1.src = "$defaultimagesdir/palette.gif";
             	         </script>
             	         
        <div style="height: 42px; width: 86px; overflow: auto; border: 1px; border-style: outset; float: right;">
        ~;
        for($z=0; $z<256; $z+=51) {
          $c3 = sprintf ("%02x", $z);
          for($y=0; $y<256; $y+=51) {
            $c2 = sprintf ("%02x", $y);
            for($x=0; $x<256; $x+=51) {
              $c1 = sprintf ("%02x", $x);
              $selcolor = qq~#$c1$c2$c3~;
if($ENV{'HTTP_USER_AGENT'} =~ /Safari/) {$yymain .= qq~<span style="background-color: $selcolor; width: 11px; height: 11px;"><img src="$defaultimagesdir/palette.gif" border="0" hspace="0" vspace="0" alt="" style="height: 11px; width: 11px; margin: 0px;" onclick="showcolor('$selcolor')" /></span>~;}
else {$yymain .= qq~<span style="float: left; background-color: $selcolor; width: 9px; height: 9px; border: 1px outset; font-size: 5px;" onclick="showcolor('$selcolor')">&nbsp;</span>~;}
            }
if($ENV{'HTTP_USER_AGENT'} =~ /Safari/) {$yymain .= qq~<br />~;}
          }
        }
        $yymain .= qq~
        </div>
        </td></tr></table>
        
          </td>
        </tr>
        ~;
    	}
	if ($enable_quicksmilies == 1) {
        $yymain .= qq~
        <tr>
          <td valign="top" width="23%"><font size="2"><b>$post_txt{'297'}:</b></font></td>
          <td valign="middle">
          <script language="JavaScript1.2" type="text/javascript">
          <!--
            moresmiliecode = new Array($more_smilie_array) 

            function MoreSmilies(i) { 
              AddTxt=moresmiliecode[i]; 
              AddText(AddTxt); 
            }

            function smiliewin() {
              window.open("$smiliewinlink", 'list', 'width=$winwidth,height=$winheight, scrollbars=yes');
            }
    	  HAND = "style='cursor: pointer; cursor: hand;'";
            if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4)) {
          document.write("<img src='$defaultimagesdir/smiley.gif' onclick='smiley();' "+HAND+" align=bottom alt='$post_txt{'287'}' title='$post_txt{'287'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/wink.gif' onclick='wink();' "+HAND+" align=bottom alt='$post_txt{'292'}' title='$post_txt{'292'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/cheesy.gif' onclick='cheesy();' "+HAND+" align=bottom alt='$post_txt{'289'}' title='$post_txt{'289'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/grin.gif' onclick='grin();' "+HAND+" align=bottom alt='$post_txt{'293'}' title='$post_txt{'293'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/angry.gif' onclick='angry();' "+HAND+" align=bottom alt='$post_txt{'288'}' title='$post_txt{'288'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/sad.gif' onclick='sad();' "+HAND+" align=bottom alt='$post_txt{'291'}' title='$post_txt{'291'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/shocked.gif' onclick='shocked();' "+HAND+" align=bottom alt='$post_txt{'294'}' title='$post_txt{'294'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/cool.gif' onclick='cool();' "+HAND+" align=bottom alt='$post_txt{'295'}' title='$post_txt{'295'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/huh.gif' onclick='huh();' "+HAND+" align=bottom alt='$post_txt{'296'}' title='$post_txt{'296'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/rolleyes.gif' onclick='rolleyes();' "+HAND+" align=bottom alt='$post_txt{'450'}' title='$post_txt{'450'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/tongue.gif' onclick='tongue();' "+HAND+" align=bottom alt='$post_txt{'451'}' title='$post_txt{'451'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/embarassed.gif' onclick='embarassed();' "+HAND+" align=bottom alt='$post_txt{'526'}' title='$post_txt{'526'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/lipsrsealed.gif' onclick='lipsrsealed();' "+HAND+" align=bottom alt='$post_txt{'527'}' title='$post_txt{'527'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/undecided.gif' onclick='undecided();' "+HAND+" align=bottom alt='$post_txt{'528'}' title='$post_txt{'528'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/kiss.gif' onclick='kiss();' "+HAND+" align=bottom alt='$post_txt{'529'}' title='$post_txt{'529'}' border='0'> ");
          document.write("<img src='$defaultimagesdir/cry.gif' onclick='cry();' "+HAND+" align=bottom alt='$post_txt{'530'}' title='$post_txt{'530'}' border='0'> ");
	  $moresmilieslist
      	    }
            else { document.write("<font size='1'>$post_txt{'215'}</font>"); }
          //-->
          </script>~;
		if ($showadded == 3 || ($showadded == 2 && $detachblock == 1) || $showsmdir == 3 || ($showsmdir == 2 && $detachblock == 1)){
			$yymain .= qq~
          <a href=javascript:smiliewin()>$smiltxt{'1'}</a>~;
		}
		$yymain .= qq~ 
          <noscript>
            <font size="1">$post_txt{'215'}</font>
          </noscript>
          </td>
        </tr>~;
		}
	$yymain .= qq~
        <tr>
          <td valign="top" width="23%"><font size="2"><b>$post_txt{'72'}:</b></font></td>
          <td><textarea name="message" rows="5" cols="60" wrap="soft" ONCLICK="javascript:storeCaret(this);" ONKEYUP="javascript:storeCaret(this);" ONCHANGE="javascript:storeCaret(this);" style="width:100%"></textarea></td>
        </tr>
~;
	# File Attachment's Browse Box Code
	if (&AccessCheck($currentboard, 4) eq "granted") {
		if ($enable_quickattach == 1 && $allowattach == 1 && ${$uid.$currentboard}{'attperms'} == 1 && $fa_ok == 1 && (($allowguestattach == 0 && !$iamguest) || $allowguestattach == 1)) {
			$yymain .= qq~
	<tr>
		<td width="23%" valign="top"><b>$qrb_txt{'11'}</b></td>
		<td width="77%"><input type="file" name="file" size="50"$selnewatt /></td>
	</tr>
	<tr>~;
		}
	}
	# /File Attachment's Browse Box Code

	$yymain .= qq~
      </table>
    </td>
  </tr>
  <tr>
    <td align="center" class="catbg" bgcolor="$color{'catbg'}"><input type="submit" name="post" value="$post_txt{'105'}" accesskey="s"> &nbsp; <input type="submit" name="preview" value="$post_txt{'507'}" accesskey="p" tabindex="6" /> &nbsp; <input type="reset" name="clear" value="$post_txt{'278'}" accesskey="r"></td>
  </tr>
</table>
</form>
~;
	}

### Quick Reply Box ###

</add before>